scenario = "verticale relatie";

active_buttons = 2;
#hieronder geef je aan wat de codes zijn voor de response-knoppen
# 0,1 verwijst naar de knoppenkast, de meest linkse en meest rechtse
button_codes = 1,2;
response_matching = simple_matching;
default_attenuation = .7;    # attenuate sounds by 20 Db
#pan = 0; # -1 play left only, 1 play right only

begin;

picture {} default;
#hieronder noem je alle geluidsstimuli die je nodig hebt in het hele experiment.
sound {wavefile {filename = "startsignaal.wav"; }; }beep;
sound {wavefile {filename = "intro.wav"; }; }introoefen;
sound {wavefile {filename = "einde.wav"; }; }einde;
sound {wavefile {filename = "goed.wav"; }; }goed;
sound {wavefile {filename = "fout.wav"; }; }fout;
sound {wavefile {filename = "introechteonderzoek.wav"; }; }introecht;
sound {wavefile {filename = "experimentbegint.wav"; }; }experimentbegint;
sound {wavefile {filename = "reminder.wav"; }; }reminder;  
sound {wavefile {filename = "onderkansniveautekstje.wav"; }; }onderkansniveau;
#stimuli trials- target
sound {wavefile {filename = "vliegtuig.wav"; }; }vliegtuig;
sound {wavefile {filename = "landingsbaan.wav"; }; }landingsbaan;
#stimuli trials- filler
sound {wavefile {filename = "heup.wav";   }; }heup;
sound {wavefile {filename = "oor.wav";  }; }oor;
sound {wavefile {filename = "schouder.wav"; }; }schouder;
sound {wavefile {filename = "elleboog.wav"; }; }elleboog;
sound {wavefile {filename = "navel.wav"; }; }navel;
sound {wavefile {filename = "pols.wav"; }; }pols;
sound {wavefile {filename = "voorhoofd.wav"; }; }voorhoofd;
sound {wavefile {filename = "kin.wav"; }; }kin;
sound {wavefile {filename = "knie.wav"; }; }knie;  
sound {wavefile {filename = "enkel.wav"; }; }enkel;  
sound {wavefile {filename = "neus.wav"; }; }neus;  
sound {wavefile {filename = "oksel.wav"; }; }oksel;

  


# Start of Programme 
#uitleg van de taak, moet nog auditief worden
# intro
trial {
sound introoefen; code = "introoefen";
};

trial {
    trial_duration = forever;
    trial_type = specific_response;    	# trial ends when response
    terminator_button = 1;             	#   button 1 is pressed
	picture {
		text {
			font_size = 18;
			caption = "Wachten op de linkerknop";	
			};
		x = 0 ; y = 0 ;		
		};
};

trial { 
#	trial_duration = 2000;
	picture {
		text {
			font_size = 18;
#			system_memory = true;
			caption = "Oefensessie";	
			};
		x = 0 ; y = 0 ;		
		};
	};      

#code nodig voor het geven van feedback
trial {
    trial_duration = stimuli_length;
    sound fout;
    time = 100;
    code = "fout";
	 nothing {}; delta_time = 2000; code = "end_trial";
} wrong;
trial {
    trial_duration = stimuli_length;
    sound goed;
    time = 100;
    code = "goed";
    nothing {}; delta_time = 2000; code = "end_trial";
} right;

#oefentrials
TEMPLATE "oefen.tem" randomize {
# zin1: naam van 1e woord 
# loc1: locatie aanbieden 1e woord -1=links/boven 1=rechts/onder 
# zin2: naam van 2e gerelateerde of niet gerelateerde woord
# loc2: locatie aanbieden 2e woord -1=links/boven 1=rechts/onder 
# antw: welke knop het goede antwoord is
# trialcode: unique trial code (conditie, trialtype)
# uitbreiden naar meerdere trials trials

# oefentrials
# nog even aanpassen. Alleen duidelijke verschillen. En voorbeeld van 3 condities.
 zin11			loc1		zin12		loc2		trialcode					antw;
 
 schouder		-1		schouder		1	"schouderschouder"		1;
 heup				1		heup			-1	"heupheup"					2;
 oor				-1		oor			1	"ooroor"						1;
 oor				1		oor			-1	"ooroor"						2;
 heup				-1		heup			1	"heupheup"					1;
 elleboog		1		elleboog		-1	"elleboogelleboog"		2;
 neus				-1		navel			1	"neusnavel"					1;
 knie				1		knie			-1	"knieknie"					2;
 heup				-1		knie			1	"heupknie"					1;
 neus				1		navel			-1	"neusnavel"					2;
 
 
 vliegtuig		-1		landingsbaan	1	"vliegtuiglandingsbaan"	1;
 vliegtuig		1		schouder			-1	"vliegtuigschouder"		2;
};

trial { 
	picture default;
};

#uitleg begin experiment
trial { 
#	trial_duration = 2000;
	picture {
		text {
			font_size = 18;
#			system_memory = true;
			caption = "Nu volgt het eigenlijke experiment. 
Succes!";	
			};
		x = 0 ; y = 0 ;		
		};
	};      

trial {
	sound introecht; code = "introecht";
};

trial {
    trial_duration = forever;
    trial_type = specific_response;    	# trial ends when response
    terminator_button = 1;             	#   button 2 is pressed
	picture {
		text {
			font_size = 18;
			caption = "Wachten op de linkerknop";	
			};
		x = 0 ; y = 0 ;		
		};
};


trial { 
	picture default;
};



# blok1                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
TEMPLATE "pairs.tem" randomize {
# zin1: naam van 1e lichaamsdeel 
# z1code: code van het 1e lichaamsdeel voor de logfile 
# zin2: naam van 2e lichaamsdeel
# z2code: code van het 2e lichaamsdeel voor de logfile 
# trialcode: unique trial code (conditie, trialtype)
# uitbreiden naar meerdere trials trials

 zin11					zin12 			zin1code						antw		trialcode;  
#groep1
 oor						oksel				"ooroksel"					2		"orok_nenaVE";
 oor						oksel				"ooroksel"					2		"orok_scenVE";
 voorhoofd				kin				"voorhoofdkin"				2		"vhki_nenaVE";
 elleboog				pols				"elleboogpols"				2		"elpo_hpknVDg";
#groep1
 oor						oksel				"ooroksel"					1		"orok_vhkiVD";
 oor						oksel				"ooroksel"					2		"orok_elpoVD";
 oor						oksel				"ooroksel"					2		"orok_hpknVDg";
 voorhoofd				kin				"voorhoofdkin"				2		"vhki_scenVE";
 elleboog				pols				"elleboogpols"				2		"elpo_scenVE";
 heup						knie				"heupknie"					2		"hpkn_scenVEg";
#groep 1 
 heup						heup				"heupheup"					1		"hphp_enenHEg";
 elleboog				elleboog			"elleboogelleboog"		1		"elel_enenHE";
 oor						oor				"ooroor"						2		"oror_scscHE";
 enkel					enkel				"enkelenkel"				2		"enen_ororHD";
 enkel					enkel				"enkelenkel"				2		"enen_knknHD";
 schouder				schouder			"schouderschouder"		1		"scsc_hphpHDg";
 schouder				schouder			"schouderschouder"		1		"scsc_enenHE";
#groep1 
 enkel					enkel				"enkelenkel"				2		"enen_nenaME";
 oor						oksel				"ooroksel"					1		"orok_knknME";
 neus						navel				"neusnavel"					1		"nena_knknME";
 heup						heup				"heupheup"					2		"hphp_nenaMDg";
 knie						knie				"knieknie"					2		"knkn_vhkiMD";
 knie						knie				"knieknie"					2		"knkn_elpoMD";
 
 vliegtuig				landingsbaan	"vliegtuiglandingsbaan"	2		"vllbMD";
 vliegtuig				schouder			"vliegtuigschouder"		2		"vlschMD"; 
}; 


# aflsuiting experiment
trial {
	picture {
		text {
			font_size = 18;
			system_memory = true;
			caption = "Dit is het einde van dit experiment.";	
			};
		x = 0 ; y = 0 ;		
		};
	sound einde; code = "einde";
	nothing {}; delta_time = 3547;
	};


#End   

